API7 Docs

Update a consumer on a gateway group

PATCH /apisix/admin/consumers/{username}

PATCH /apisix/admin/consumers/{username}

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Path Parameters

username*string

The unique identifier of the consumer.

Match^[a-zA-Z0-9_\-]+$
Length1 <= length <= 512

Query Parameters

gateway_group_id*string

Gateway group ID. Optional when using the gateway group admin key to authenticate.

Length1 <= length

Request Body

application/json

JSON Patch payload as defined by RFC 6902. See JSON Patch for more information.

[index: integer]?|

Response Body

application/json

application/json

curl -X PATCH "$API_BASE_URL/apisix/admin/consumers/johndoe?gateway_group_id=86fb9981-d9d2-4555-9df8-91ae92129335" \  -H "Content-Type: application/json" \  -d '[    {      "op": "add",      "path": "/name",      "value": "new-name"    }  ]'

Consumer updated successfully.

{
  "value": {
    "username": "johndoe",
    "plugins": {
      "key-auth": {}
    },
    "desc": "Object description.",
    "labels": {
      "version": "v2",
      "env": "prod"
    },
    "created_at": 1742288232,
    "updated_at": 1742288235
  }
}
Complete operation details and schema variants

PATCH /apisix/admin/consumers/{username}

Update a consumer on a gateway group

IAM Action: gateway:UpdateConsumer, Resource: arn:api7:gateway:gatewaygroup/%s/consumer/%s

Parameters

  • username (path, string, required): The unique identifier of the consumer.
  • gateway_group_id (query, string, required): Gateway group ID. Optional when using the gateway group admin key to authenticate.

Request body

Content type: application/json

  • oneOf variant 1: add/replace
  • [].op (string, required): The operation to be performed.
  • [].path (string, required): Path to the field to be replaced or added. Path should follow the JSON Pointer format.
  • [].value (object, required): Value to be added or replaced.
  • oneOf variant 2: remove
  • [].op (string, required): The operation to be performed.
  • [].path (string, required): Path to the field to be removed. Path should follow the JSON Pointer format.

Responses

  • 200: Consumer updated successfully.
  • allOf variant 1
  • value (object, optional): The specific resource.
  • allOf variant 2
  • value (object, optional): The consumer with management fields.
  • allOf variant 1
  • value.username (string, required): The unique identifier of the consumer.
  • value.plugins (object, optional): Key-value pairs of plugins and their configurations on the object.
  • value.desc (string, optional): The object description.
  • value.labels (object, optional): Key-value pairs of labels.
  • allOf variant 2
  • value.created_at (integer, optional): The object created timestamp.
  • value.updated_at (integer, optional): The object updated timestamp.
  • 400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
  • value (object, optional): The specific resource.
  • error_msg (string, optional): The error message.

cURL

curl -X PATCH '$API_BASE_URL/apisix/admin/consumers/{username}'